
import Vue from 'vue'
//import App from './App'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import Navi from './components/navigation/Navi.vue'
import User from './components/navigation/login1';
import router from './router/index'

import BaiduMap from 'vue-baidu-map'
Vue.use(BaiduMap, {
    // ak 是在百度地图开发者平台申请的密钥
    ak: 'YOUR_APP_KEY'
})

import echarts from 'echarts'  //引入echarts后，不能全局使用echarts
Vue.prototype.$echarts = echarts //将echarts保存为全局变量。原则上$echarts可以为任意变量名。




Vue.use(ElementUI);

Vue.config.productionTip = false

new Vue({
  el: '#app',
  router,
  // render: N => N(Navi)
     render: U => U(User)
})